Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the referenced Warehouse.

policy_id
integer<int32>
required

The id of the referenced ReplenishmentPolicy.

Query Parameters

fields
enum<string>[]

Specify additional fields of the ReplenishmentPolicy object to be included in the response.

Available options:
basic,
all,
name,
is_active,
sort_order,
merchant_ids,
merchants,
product_profile_ids,
product_profiles,
product_profile_match_mode,
handling_class_ids,
handling_classes,
subject_readable,
location_profile,
demand_period_days,
trigger_doi_days,
target_doi_days,
qualification_reason,
flagged_sku_count,
skipped_sku_count,
slotting_forbidden_count,
results_refresh_pending,
created_at,
updated_at
fields:merchants
enum<string>[]

Specify direct fields of selected Merchant objects to include under included.Merchant. Add merchants to the root fields parameter to return the relationship. type and id are always returned. Specify direct fields of an included Merchant object.

Available options:
code,
name,
status,
created_at,
updated_at
fields:product_profiles
enum<string>[]

Specify fields of selected ProductProfile objects to include under included.ProductProfile. Add product_profiles to the root fields parameter to return the relationship. type and id are always returned. Specify fields of an included ProductProfile object.

Available options:
basic,
all,
name,
code,
conditions,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
fields:handling_classes
enum<string>[]

Specify direct fields of selected HandlingClass objects to include under included.HandlingClass. Add handling_classes to the root fields parameter to return the relationship. type and id are always returned. Specify direct fields of an included HandlingClass object.

Available options:
name,
code,
sort_order,
conditions,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
fields:location_profile
enum<string>[]

Specify direct fields of the LocationProfile selected by each Policy. Location Tags and Slot Types remain available from the Profile's own endpoint. Specify direct fields of the included LocationProfile object.

Available options:
name,
description,
status,
member_count,
match,
match_readable,
active_revision,
pending_revision,
used_by,
created_at,
updated_at

Response

A dictionary with a resource property that contains the requested ReplenishmentPolicy object.

resource
ReplenishmentPolicy · object

A Replenishment Policy configuration for one warehouse. The Policy selects Products by Merchant, Product Profile, and Handling Class, then applies Trigger and Target days-of-inventory thresholds to one Location Profile.

Example:
included
object

Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.

Example:
meta
object

Additional metadata pertaining to the response.